CRMchat APIBeta
Telegram APIAccount

account.getGlobalPrivacySettings

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/account.getGlobalPrivacySettings

Get global privacy settings

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Get global privacy settings

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/account.getGlobalPrivacySettings" \  -H "Content-Type: application/json" \  -d '{    "params": {}  }'
{  "result": {    "_": "globalPrivacySettings",    "archiveAndMuteNewNoncontactPeers": true,    "keepArchivedUnmuted": true,    "keepArchivedFolders": true,    "hideReadMarks": true,    "newNoncontactPeersRequirePremium": true,    "displayGiftsButton": true,    "noncontactPeersPaidStars": "string",    "disallowedGifts": {      "_": "disallowedGiftsSettings",      "disallowUnlimitedStargifts": true,      "disallowLimitedStargifts": true,      "disallowUniqueStargifts": true,      "disallowPremiumGifts": true,      "disallowStargiftsFromChannels": true    }  }}